[FFe] Please transition libgnomecanvas to multi-arch

Bug #1013211 reported by Graham Inggs on 2012-06-14
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
libgnomecanvas (Ubuntu)
High
Adam Stokes
Precise
High
Adam Stokes

Bug Description

[Impact]
Please transition libgnomecanvas to support multi-arch.

This package is still required by some third party applications.

[Test Case]
Install i386 within amd64 environment.
Verify i386 applications link proper architecture dependent library.

[Regression Potential]
Potential is minimal as no new code changes are present only build rules.

This package is a dependency of python-gnome2 as well as several packages in universe.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libgnomecanvas2-0 2.30.3-1ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-24.39-generic 3.2.16
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
Date: Thu Jun 14 16:47:24 2012
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_ZA.UTF-8
 SHELL=/bin/bash
SourcePackage: libgnomecanvas
UpgradeStatus: Upgraded to precise on 2012-05-22 (23 days ago)

Graham Inggs (ginggs) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libgnomecanvas (Ubuntu):
status: New → Confirmed
Steve Langasek (vorlon) on 2012-08-15
Changed in libgnomecanvas (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in libgnomecanvas (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
Changed in libgnomecanvas (Ubuntu Precise):
assignee: nobody → Adam Stokes (adam-stokes)
status: Triaged → In Progress
Changed in libgnomecanvas (Ubuntu):
assignee: nobody → Adam Stokes (adam-stokes)
status: Triaged → In Progress
description: updated
Adam Stokes (adam-stokes) wrote :

rdeps testing:

./libbonoboui_2.24.5-0ubuntu2-amd64-20120815-1540:Status: successful
./libgnomeui_2.24.5-2ubuntu2-amd64-20120815-1557:Status: successful
./lablgtk2_2.14.2+dfsg-3-amd64-20120815-1532:Status: successful
./swami_2.0.0+svn389-1-amd64-20120815-1615:Status: successful
./planner_0.14.6-1ubuntu1-amd64-20120815-1608:Status: successful
./libgnomecanvasmm2.6_2.26.0-1build1-amd64-20120815-1547:Status: successful
./libgnomeprintui_2.18.6-3ubuntu1-amd64-20120815-1552:Status: successful
./phat_0.4.1-5-amd64-20120815-1604:Status: successful
./libgnomecanvas_2.30.3-1ubuntu1.2-amd64-20120815-1625:Status: successful

Stefan (steffel) wrote :

tested the multiarch patch on my 12.04 system and could install i386 and amd64 packages (that depend on libgnomecanvas2-0) in parallel.
thanks!

Adam Stokes (adam-stokes) wrote :

Thank you for testing

-Adam

tags: added: verified-done-precise
Changed in libgnomecanvas (Ubuntu Precise):
milestone: none → ubuntu-12.04.2
importance: Medium → High
Changed in libgnomecanvas (Ubuntu):
importance: Medium → High
Adam Stokes (adam-stokes) wrote :

rdeps testing still relevant so requirements for building/testing have been completed.

summary: - Please transition libgnomecanvas to multi-arch
+ [FFe] Please transition libgnomecanvas to multi-arch
Adam Conrad (adconrad) wrote :

FFe granted, based on comments about rdep testing, etc.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgnomecanvas - 2.30.3-1ubuntu2

---------------
libgnomecanvas (2.30.3-1ubuntu2) quantal-proposed; urgency=low

  * Transition package to multi-arch (LP: #1013211)
 -- Adam Stokes <email address hidden> Wed, 15 Aug 2012 15:01:01 -0400

Changed in libgnomecanvas (Ubuntu):
status: In Progress → Fix Released
Mark Russell (marrusl) wrote :

Do we need user verification to move this along to quantal proper?

Adam Stokes (adam-stokes) wrote :

So precise needs to be re-tested once in proposed.

tags: added: verified-needed
removed: verified-done-precise
Jamie Strandboge (jdstrand) wrote :

12.04 debdiff is identical to what was accepted into 12.10 (except the version and distribution name). ACK for upload to precise-proposed. Uploaded to precise-proposed.

Changed in libgnomecanvas (Ubuntu Precise):
status: In Progress → Fix Committed
Jamie Strandboge (jdstrand) wrote :

Unsubscribing ubuntu-sponsors for now. Please resubscribe if there is something else that is needed.

Hello Graham, or anyone else affected,

Accepted libgnomecanvas into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libgnomecanvas/2.30.3-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Graham Inggs (ginggs) wrote :

On an amd64 system I enabled precise-propsed and upgraded libgnomecanvas2-0 to 2.30.3-1ubuntu1.1.
I then installed glotski:i386 which pulled in all the required i386 libraries, including libgnomecanvas2-0:i386, and was able to play the game.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgnomecanvas - 2.30.3-1ubuntu1.1

---------------
libgnomecanvas (2.30.3-1ubuntu1.1) precise-proposed; urgency=low

  * Transition package to multi-arch (LP: #1013211)
 -- Adam Stokes <email address hidden> Thu, 20 Sep 2012 10:22:15 -0400

Changed in libgnomecanvas (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers